Bug 461047 - named dies due to assertion failure
named dies due to assertion failure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind (Show other bugs)
3.9
All Linux
medium Severity high
: rc
: ---
Assigned To: Adam Tkac
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 12:55 EDT by Mike Loseke
Modified: 2013-04-30 19:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 13:34:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Loseke 2008-09-03 12:55:11 EDT
Description of problem:

named dies and leaves the following entries in /var/log/messages:

Sep  3 05:47:36 myhost named[19380]: socket.c:1615: INSIST(!sock->pending_recv) failed
Sep  3 05:47:36 myhost named[19380]: exiting (due to assertion failure)


Version-Release number of selected component (if applicable):

bind-9.2.4-22.el3


How reproducible: Unknown


Steps to Reproduce:
1. start named
2. wait until it dies
3.
  
Actual results:


Expected results:
It shouldn't die, if at all possible.

Additional info:
Comment 3 RHEL Product and Program Management 2008-11-03 05:29:48 EST
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 10 errata-xmlrpc 2009-01-08 13:34:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0020.html

Note You need to log in before you can comment on or make changes to this bug.